//	Addressing Map
//		MH-AfterDark[final].unr
//			spawned by NavAdder if this package and class are found in System
//	Operations:
//	- Deploy additional paths and paths togglers
//	- Destroying spots too close to each-other
//	- Moving screwed nodes useless screwed from default placement
//	- Removing GRAB Cheating and tweaking movers
//	- Adding new paths in empty zones
//	- Tweaking triggers for A.I.
//	- Adjusting Factories for preventing any early wild touch
//
//	Tech note:
//	These tweaking Packages requires another compiling methods in order to make a deal with default dumb content
//	NavigationPoints properties and their "Editor-Only" deal is really pointless and not helpful at all.
//	You should allow coding this stuff properly because - IS DOABLE !

class PathsMapper expands KeyPoint;

var PathsActor G;
var Actor HackedZone, LiftActor;
var Shoot_It Shooter;
var Inventory Nasty1, Nasty2;
var NavigationPoint N1, N2, N3, N4, N5, N6, N7, N8, N9, N10, N11, N12, N13, N14; //Asiggning points to connect

/*
,'AfterDark_Final'
*/

//=====
native(1718) final function bool AddToPackageMap( optional string PkgName );
//=====
native(1719) final function bool IsInPackageMap( optional string PkgName, optional bool bServerPackagesOnly ); //Second parameter doesn't exist in 227!
//=====
native(3540) final iterator function PawnActors( class<Pawn> PawnClass, out pawn P, optional float Distance,
optional vector VOrigin, optional bool bHasPRI, optional Pawn StartAt );
//=====
native(3541) final iterator function NavigationActors( class<NavigationPoint> NavClass, out NavigationPoint P,
optional float Distance, optional vector VOrigin, optional bool bVisible );
//=====
native(3542) final iterator function InventoryActors( class<Inventory> InvClass,
out Inventory Inv, optional bool bSubclasses, optional Actor StartFrom );
//=====
native(3552) final iterator function CollidingActors( class<actor> BaseClass, out actor Actor, float Radius,
optional vector Loc );
//=====
native(3553) final iterator function DynamicActors( class<actor> BaseClass, out actor Actor,
optional name MatchTag );
//=====
native(3560) static final function bool ReplaceFunction( class<Object> ReplaceClass,
class<Object> WithClass, name ReplaceFunction, name WithFunction, optional name InState );
//=====

event PreBeginPlay()
{
	log(Self.name@"Patching Level.",'AfterDark_Final');
	Level.Default.TimeDilation = 0.9900000;
	G = Spawn( class'PathsActor' );
	ChangeNastyActors();
	AddMHObjectives();
	DoAlterBadPoints();
	SpawnShoters();
	InitialState='PathsMapping';
	log ("PreBeginPlay Completed...",'AfterDark_Final');
}

event PostBeginPlay()
{
}

final function SpawnShoters()
{
}

function AddMHObjectives()
{
	local class<Actor> Wp;
	local Actor K1, K2, K3, K4, K5, K6, K7, K8, K9, K10, K11, K12, K13, K14;
	local Actor tmp;

	Wp = class<Actor>( DynamicLoadObject("MonsterHunt.MonsterWaypoint", class'Class', True) );
	if (Wp != None)
	{
		K1 = Spawn(class'MonsterWaypoint',,,vect(4368,-1584,-128));
		K2 = Spawn(class'MonsterWaypoint',,,vect(1744,-1560,-128));
		if ( K2 != None )
		{
			MonsterWayPoint(K2).Position = 2;
		}
		K3 = Spawn(class'MonsterWaypoint',,,vect(4384,2528,-128));
		if (K3 != None)
		{
			MonsterWayPoint(K3).Position = 3;
		}
		K4 = Spawn(class'MonsterWaypoint',,,vect(1712,2512,-128));
		if (K4 != None)
		{
			MonsterWayPoint(K4).Position = 4;
		}
		K5 = Spawn(class'MonsterWaypoint',,,vect(7296,8744,-96));
		if (K5 != None)
		{
			MonsterWayPoint(K5).Position = 5;
		}
		K6 = Spawn(class'MonsterWaypoint',,,vect(7296,12769,-96));
		if (K6 != None)
		{
			MonsterWayPoint(K6).Position = 6;
		}
		K7 = Spawn(class'MonsterWaypoint',,,vect(-1025,8742,-96));
		if (K7 != None)
		{
			MonsterWayPoint(K7).Position = 7;
		}
		K8 = Spawn(class'MonsterWaypoint',,,vect(-1023,12770,-96));
		if (K8 != None)
		{
			MonsterWayPoint(K8).Position = 8;
		}
	}
	else
	{
		log("Bork :: Could not find MonsterWayPoint actor...",'AfterDark_Final');
	}

}

final function DoAlterBadPoints()
{
	local NavigationPoint A;
	local InventorySpot In;
	local JumpSpot Ju;
	local LiftExit Li;
	local Teleporter Te;
	local PathNode Pa;
	local BlockedPath Bl;
	local SpawnPoint Sp;
	local PlayerStart Pl;
	local int I;
	local string st;
	local float F[2], Time;

	class'XC_CoreStatics'.static.Clock( F);
	log ("Attempting to screw up Evil NavigationPoint actors...",'AfterDark_Final');
	if ( G != None )
	{
		foreach NavigationActors(class'Teleporter',Te,30,vect(3073,6232,-208))
		{
			if (string(Te.Name) ~= "Teleporter0")
			{
				Te.bStatic = False;
				Te.bCollideWorld = False;
				Te.bCollideWhenPlacing = False;
				Te.SetLocation(Te.Location+vect(0,0,140));
				Te.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(-1,2686,-203))
		{
			if (string(Pa.Name) ~= "PathNode0")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(3,2437,-203))
		{
			if (string(Pa.Name) ~= "PathNode1")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(1,2180,-203))
		{
			if (string(Pa.Name) ~= "PathNode2")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(2,1919,-203))
		{
			if (string(Pa.Name) ~= "PathNode3")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(2,1542,-203))
		{
			if (string(Pa.Name) ~= "PathNode4")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(4,1248,-203))
		{
			if (string(Pa.Name) ~= "PathNode5")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(-2,1027,-203))
		{
			if (string(Pa.Name) ~= "PathNode6")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(1,771,-203))
		{
			if (string(Pa.Name) ~= "PathNode7") //Not through here, just take other routes
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.ExtraCost = 100000000;
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(-3,518,-203))
		{
			if (string(Pa.Name) ~= "PathNode8")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(0,256,-203))
		{
			if (string(Pa.Name) ~= "PathNode9")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(393,-128,-203))
		{
			if (string(Pa.Name) ~= "PathNode11")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(-378,-121,-203))
		{
			if (string(Pa.Name) ~= "PathNode12")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(-513,-378,-203))
		{
			if (string(Pa.Name) ~= "PathNode13")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(-509,-748,-203))
		{
			if (string(Pa.Name) ~= "PathNode14")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(-504,-1136,-203))
		{
			if (string(Pa.Name) ~= "PathNode15")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(510,-381,-203))
		{
			if (string(Pa.Name) ~= "PathNode16")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(514,-752,-203))
		{
			if (string(Pa.Name) ~= "PathNode17")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(519,-1140,-203))
		{
			if (string(Pa.Name) ~= "PathNode18")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(-1,-1532,-203))
		{
			if (string(Pa.Name) ~= "PathNode19")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(-3,-1784,-203))
		{
			if (string(Pa.Name) ~= "PathNode20")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(2,-2311,-203))
		{
			if (string(Pa.Name) ~= "PathNode21")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(0,-2564,-203))
		{
			if (string(Pa.Name) ~= "PathNode22")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(387,-1402,-203))
		{
			if (string(Pa.Name) ~= "PathNode23")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(-382,-1404,-203))
		{
			if (string(Pa.Name) ~= "PathNode24")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(4,-3076,-203))
		{
			if (string(Pa.Name) ~= "PathNode25")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(1,-3328,-203))
		{
			if (string(Pa.Name) ~= "PathNode26")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(130,-3581,-203))
		{
			if (string(Pa.Name) ~= "PathNode27")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(257,-3836,-203))
		{
			if (string(Pa.Name) ~= "PathNode28")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(515,-4093,-203))
		{
			if (string(Pa.Name) ~= "PathNode29")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(788,-4292,-203))
		{
			if (string(Pa.Name) ~= "PathNode30")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(1098,-4413,-203))
		{
			if (string(Pa.Name) ~= "PathNode31")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(1511,-4483,-203))
		{
			if (string(Pa.Name) ~= "PathNode32")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(2067,-4414,-203))
		{
			if (string(Pa.Name) ~= "PathNode33")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(2458,-4189,-203))
		{
			if (string(Pa.Name) ~= "PathNode34")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(2705,-3938,-203))
		{
			if (string(Pa.Name) ~= "PathNode35")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(2911,-3623,-203))
		{
			if (string(Pa.Name) ~= "PathNode36")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(2992,-3287,-203))
		{
			if (string(Pa.Name) ~= "PathNode37")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(3035,-3033,-203))
		{
			if (string(Pa.Name) ~= "PathNode38")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(3057,-2673,-203))
		{
			if (string(Pa.Name) ~= "PathNode39")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(3067,-2268,-203))
		{
			if (string(Pa.Name) ~= "PathNode40")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(3057,-1953,-203))
		{
			if (string(Pa.Name) ~= "PathNode41")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(3067,-1567,-203))
		{
			if (string(Pa.Name) ~= "PathNode42")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(3072,-1382,-203))
		{
			if (string(Pa.Name) ~= "PathNode43")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(3078,-1195,-203))
		{
			if (string(Pa.Name) ~= "PathNode44")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(3079,-945,-203))
		{
			if (string(Pa.Name) ~= "PathNode45")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(3078,-665,-203))
		{
			if (string(Pa.Name) ~= "PathNode46")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(3071,-440,-203))
		{
			if (string(Pa.Name) ~= "PathNode47")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(3076,-184,-203))
		{
			if (string(Pa.Name) ~= "PathNode48")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(3071,85,-203))
		{
			if (string(Pa.Name) ~= "PathNode49")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(3066,398,-203))
		{
			if (string(Pa.Name) ~= "PathNode50")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(3063,723,-203))
		{
			if (string(Pa.Name) ~= "PathNode51")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(3067,1013,-203))
		{
			if (string(Pa.Name) ~= "PathNode52")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(3076,1409,-203))
		{
			if (string(Pa.Name) ~= "PathNode53")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(3048,1643,-203))
		{
			if (string(Pa.Name) ~= "PathNode54")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(3079,1937,-203))
		{
			if (string(Pa.Name) ~= "PathNode55")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(3067,2266,-203))
		{
			if (string(Pa.Name) ~= "PathNode56")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(3066,2615,-203))
		{
			if (string(Pa.Name) ~= "PathNode57")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(3070,3022,-203))
		{
			if (string(Pa.Name) ~= "PathNode58")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(3073,3308,-203))
		{
			if (string(Pa.Name) ~= "PathNode59")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(3074,3624,-203))
		{
			if (string(Pa.Name) ~= "PathNode60")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(3094,3948,-203))
		{
			if (string(Pa.Name) ~= "PathNode61")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(3087,4274,-203))
		{
			if (string(Pa.Name) ~= "PathNode62")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				N1 = Pa;
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(3061,4651,-203))
		{
			if (string(Pa.Name) ~= "PathNode63")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.ExtraCost = 100000000;
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(3071,4918,-203))
		{
			if (string(Pa.Name) ~= "PathNode64")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(3070,5378,-203))
		{
			if (string(Pa.Name) ~= "PathNode65")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				N2 = Pa;
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(3073,5630,-203))
		{
			if (string(Pa.Name) ~= "PathNode66")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(2810,5786,-203))
		{
			if (string(Pa.Name) ~= "PathNode67")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(3344,5774,-203))
		{
			if (string(Pa.Name) ~= "PathNode68")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(206,59,-203))
		{
			if (string(Pa.Name) ~= "PathNode10")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'PathNode',Pa,30,vect(-198,63,-203))
		{
			if (string(Pa.Name) ~= "PathNode69")
			{
				Pa.bStatic = False;
				Pa.bCollideWorld = False;
				Pa.bCollideWhenPlacing = False;
				Pa.SetLocation(Pa.Location+vect(0,0,-16));
				Pa.bStatic = True;
				break;
			}
		}
	}
	Time = class'XC_CoreStatics'.static.UnClock( F);
	if ( Time < 2 )
		Log("PathNodes have been hacked in: "$Time$" second.",'AfterDark_Final');
	else
	{
		Log("PathNodes have been hacked in: "$Time$" seconds.",'AfterDark_Final');
		Log("Lol, this do looks like a slow machine...",'AfterDark_Final');
	}
}

final function DoFakeNavigation()
{
	local RadiusMove RM0, RM1, RM2, RM3, RM4, RM5, RM6, RM7, RM8, RM9, RM10, RM11, RM12, RM13, RM14, RM15,
		RM16, RM17, RM18, RM19, RM20, RM21, RM22, RM23, RM24, RM25;
	local Dispatcher Ds0, Ds1, Ds2;
	local Trigger T;
	local PathsToggler Pt;
	local E_StochasticTrigger ST;

	RM0 = Spawn(class'RadiusMove',,,vect(3061,4651,-203));
	if ( RM0 != None )
	{
		RM0.RadiusRange=600;
		RM0.TimePush=2.500000;
		RM0.NamedActor="PathNode66";
		RM0.Tag='';
		RM0.bEnabled = True;
		RM0 = None;
	}
/*
	These are template for future needs

	RM1 = Spawn(class'RadiusMove',,,vect(-20597,-7828,3249));
	if ( RM1 != None )
	{
		RM1.RadiusRange=400;
		RM1.TimePush=2.500000;
		RM1.NamedActor="SmartNode0";
		RM1.Tag='';
		RM1.bEnabled = True;
		RM1 = None;
	}
	RM2 = Spawn(class'RadiusMove',,,vect(-18818,-7416,3314));
	if ( RM2 != None )
	{
		RM2.RadiusRange=400;
		RM2.TimePush=8.500000;
		RM2.NamedActor="InventorySpot430";
		RM2.Tag='';
		RM2.bEnabled = True;
		RM2 = None;
	}
*/
	Pt = Spawn(class'PathsToggler',,,vect(-510,-748,-220));
	if ( Pt != None )
	{
		Pt.Tag = 'ClckToggle';
		Pt.bEnabled = True;
		Pt = None;
	}
	Pt = Spawn(class'PathsToggler',,,vect(514,-752,-220));
	if ( Pt != None )
	{
		Pt.Tag = 'ClckToggle';
		Pt.bEnabled = False;
		Pt = None;
	}
	Pt = Spawn(class'PathsToggler',,,vect(4064,5856,-230));
	if ( Pt != None )
	{
		Pt.Tag = 'KrlToogle';
		Pt.bEnabled = True;
		Pt = None;
	}
	Pt = Spawn(class'PathsToggler',,,vect(2096,5848,-230));
	if ( Pt != None )
	{
		Pt.Tag = 'KrlToogle';
		Pt.bEnabled = False;
		Pt = None;
	}
	ST = Spawn(class'E_StochasticTrigger',,,vect(-510,-748,0));
	if (ST != None)
	{
		ST.bGameRelevant = True;
		ST.Events[0] = 'ClckToggle';
		ST.Events[1] = 'KrlToogle';
		ST.maxReCheckTime = 12.0000000;
		ST.minReCheckTime = 8.000000;
		ST.triggerProbability = 0.800000;
		ST.bIsActive = True;
		ST.BeginPlay(); //Lol - timer has problem not this one
		ST.GotoState('AlwaysActive');
	}
}

final function DoPrePathHacks()
{
	local NavigationPoint A;
	local InventorySpot In;
	local JumpSpot Ju;
	local LiftExit Li;
	local Teleporter Te;
	local PathNode Pa;
	local BlockedPath Bl;
	local SpawnPoint Sp;
	local PlayerStart Pl;
	local int I;
	local string st;
	local float F[2], Time;

	class'XC_CoreStatics'.static.Clock( F);
	log ("Executing other operations before adding Path Net add-ons...",'AfterDark_Final');
/*
	The mostly here we get rid of illegal borks according to
	whatever A.I. original document related to Navigation and
	also according to Engine deals. We discard Bot's Inventory smelling
	and going to burial solution. Those Dead ones are usually buried...
	We let replacements to mock first and then we are going here a bit later.
	Will slap down everything except health and weapons if are too close each-other
*/
	if ( G != None ) //Mr. G is the GOD here - Still Iterations problem ? Split this in two and use Sleep in state bellow
	{
		foreach NavigationActors(class'InventorySpot',In,30,vect(-1280,739,-203))
		{
			if (string(In.Name) ~= "InventorySpot1133")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-1280,754,-203))
		{
			if (string(In.Name) ~= "InventorySpot1134")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-1280,769,-203))
		{
			if (string(In.Name) ~= "InventorySpot1135")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-1280,784,-203))
		{
			if (string(In.Name) ~= "InventorySpot1136")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-1280,850,-203))
		{
			if (string(In.Name) ~= "InventorySpot1137")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-1279,865,-203))
		{
			if (string(In.Name) ~= "InventorySpot1138")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-1280,880,-203))
		{
			if (string(In.Name) ~= "InventorySpot1139")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-1280,895,-203))
		{
			if (string(In.Name) ~= "InventorySpot1140")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-1281,600,-203))
		{
			if (string(In.Name) ~= "InventorySpot1141")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-1282,583,-203))
		{
			if (string(In.Name) ~= "InventorySpot1142")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-1282,566,-203))
		{
			if (string(In.Name) ~= "InventorySpot1143")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-1282,549,-203))
		{
			if (string(In.Name) ~= "InventorySpot1144")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-1281,473,-203))
		{
			if (string(In.Name) ~= "InventorySpot1145")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-1281,456,-203))
		{
			if (string(In.Name) ~= "InventorySpot1146")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-1282,440,-203))
		{
			if (string(In.Name) ~= "InventorySpot1147")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-1282,422,-203))
		{
			if (string(In.Name) ~= "InventorySpot1148")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-1266,265,-203))
		{
			if (string(In.Name) ~= "InventorySpot1151")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-1265,287,-203))
		{
			if (string(In.Name) ~= "InventorySpot1152")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-1287,265,-203))
		{
			if (string(In.Name) ~= "InventorySpot1153")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-1286,287,-203))
		{
			if (string(In.Name) ~= "InventorySpot1154")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-1271,121,-203))
		{
			if (string(In.Name) ~= "InventorySpot1155")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-1269,143,-203))
		{
			if (string(In.Name) ~= "InventorySpot1156")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-1291,121,-203))
		{
			if (string(In.Name) ~= "InventorySpot1157")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-1290,144,-203))
		{
			if (string(In.Name) ~= "InventorySpot1158")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(1297,294,-203))
		{
			if (string(In.Name) ~= "InventorySpot1159")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(1265,294,-203))
		{
			if (string(In.Name) ~= "InventorySpot1160")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(1296,274,-203))
		{
			if (string(In.Name) ~= "InventorySpot1161")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(1264,274,-203))
		{
			if (string(In.Name) ~= "InventorySpot1162")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(1296,143,-203))
		{
			if (string(In.Name) ~= "InventorySpot1163")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(1264,142,-203))
		{
			if (string(In.Name) ~= "InventorySpot1164")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(1294,123,-203))
		{
			if (string(In.Name) ~= "InventorySpot1165")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(1262,122,-203))
		{
			if (string(In.Name) ~= "InventorySpot1166")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(1273,426,-203))
		{
			if (string(In.Name) ~= "InventorySpot1169")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(1273,449,-203))
		{
			if (string(In.Name) ~= "InventorySpot1170")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(1273,570,-203))
		{
			if (string(In.Name) ~= "InventorySpot1171")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(1273,593,-203))
		{
			if (string(In.Name) ~= "InventorySpot1172")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(1261,741,-203))
		{
			if (string(In.Name) ~= "InventorySpot1173")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(1293,740,-203))
		{
			if (string(In.Name) ~= "InventorySpot1174")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(1263,889,-203))
		{
			if (string(In.Name) ~= "InventorySpot1175")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(1295,889,-203))
		{
			if (string(In.Name) ~= "InventorySpot1176")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-1294,-1815,-203))
		{
			if (string(In.Name) ~= "InventorySpot1181")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-1295,-1973,-203))
		{
			if (string(In.Name) ~= "InventorySpot1182")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-1259,-2266,-203))
		{
			if (string(In.Name) ~= "InventorySpot1183")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-1263,-1815,-203))
		{
			if (string(In.Name) ~= "InventorySpot1184")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-1280,-1784,-203))
		{
			if (string(In.Name) ~= "InventorySpot1185")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-1294,-1669,-203))
		{
			if (string(In.Name) ~= "InventorySpot1186")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-1263,-1668,-203))
		{
			if (string(In.Name) ~= "InventorySpot1187")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-1278,-1689,-203))
		{
			if (string(In.Name) ~= "InventorySpot1188")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-1264,-1973,-203))
		{
			if (string(In.Name) ~= "InventorySpot1189")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-1295,-1996,-203))
		{
			if (string(In.Name) ~= "InventorySpot1190")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-1265,-1996,-203))
		{
			if (string(In.Name) ~= "InventorySpot1191")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-1294,-2119,-203))
		{
			if (string(In.Name) ~= "InventorySpot1192")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-1263,-2118,-203))
		{
			if (string(In.Name) ~= "InventorySpot1193")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-1294,-2142,-203))
		{
			if (string(In.Name) ~= "InventorySpot1194")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-1263,-2141,-203))
		{
			if (string(In.Name) ~= "InventorySpot1195")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-1299,-2267,-203))
		{
			if (string(In.Name) ~= "InventorySpot1196")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-1279,-2266,-203))
		{
			if (string(In.Name) ~= "InventorySpot1197")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-1260,-2287,-203))
		{
			if (string(In.Name) ~= "InventorySpot1198")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-1301,-2287,-203))
		{
			if (string(In.Name) ~= "InventorySpot1199")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-1280,-2287,-203))
		{
			if (string(In.Name) ~= "InventorySpot1200")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-1259,-2418,-203))
		{
			if (string(In.Name) ~= "InventorySpot1201")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-1299,-2418,-203))
		{
			if (string(In.Name) ~= "InventorySpot1202")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-1279,-2417,-203))
		{
			if (string(In.Name) ~= "InventorySpot1203")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-1260,-2438,-203))
		{
			if (string(In.Name) ~= "InventorySpot1204")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-1300,-2438,-203))
		{
			if (string(In.Name) ~= "InventorySpot1205")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-1281,-2438,-203))
		{
			if (string(In.Name) ~= "InventorySpot1206")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(767,-2238,-203))
		{
			if (string(In.Name) ~= "InventorySpot1207")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(768,-1854,-203))
		{
			if (string(In.Name) ~= "InventorySpot1208")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(768,-2265,-203))
		{
			if (string(In.Name) ~= "InventorySpot1209")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(767,-2294,-203))
		{
			if (string(In.Name) ~= "InventorySpot1210")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(768,-2321,-203))
		{
			if (string(In.Name) ~= "InventorySpot1211")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(766,-2348,-203))
		{
			if (string(In.Name) ~= "InventorySpot1212")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(767,-2375,-203))
		{
			if (string(In.Name) ~= "InventorySpot1213")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(768,-1835,-203))
		{
			if (string(In.Name) ~= "InventorySpot1214")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(767,-1815,-203))
		{
			if (string(In.Name) ~= "InventorySpot1215")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(768,-1795,-203))
		{
			if (string(In.Name) ~= "InventorySpot1216")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(768,-1774,-203))
		{
			if (string(In.Name) ~= "InventorySpot1217")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(768,-1755,-203))
		{
			if (string(In.Name) ~= "InventorySpot1218")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(767,-1735,-203))
		{
			if (string(In.Name) ~= "InventorySpot1219")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(768,-1715,-203))
		{
			if (string(In.Name) ~= "InventorySpot1220")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(2147,-1335,-75))
		{
			if (string(In.Name) ~= "InventorySpot1032")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(2183,-1335,-75))
		{
			if (string(In.Name) ~= "InventorySpot1033")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(2141,-1335,-75))
		{
			if (string(In.Name) ~= "InventorySpot1034")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(2063,-1335,-75))
		{
			if (string(In.Name) ~= "InventorySpot1035")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(2116,-1335,-75))
		{
			if (string(In.Name) ~= "InventorySpot1036")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(2224,-1335,-75))
		{
			if (string(In.Name) ~= "InventorySpot1037")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(2156,-1335,-75))
		{
			if (string(In.Name) ~= "InventorySpot1038")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(2090,-1335,-75))
		{
			if (string(In.Name) ~= "InventorySpot1039")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(2140,-1335,-75))
		{
			if (string(In.Name) ~= "InventorySpot1040")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(2097,-1335,-75))
		{
			if (string(In.Name) ~= "InventorySpot1041")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(2172,-1335,-75))
		{
			if (string(In.Name) ~= "InventorySpot1042")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(2197,-1335,-75))
		{
			if (string(In.Name) ~= "InventorySpot1043")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(2224,-1335,-75))
		{
			if (string(In.Name) ~= "InventorySpot1044")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(2193,-1335,-75))
		{
			if (string(In.Name) ~= "InventorySpot1045")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(2194,-1332,-75))
		{
			if (string(In.Name) ~= "InventorySpot1046")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(2063,-1335,-75))
		{
			if (string(In.Name) ~= "InventorySpot1047")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(2062,-1333,-75))
		{
			if (string(In.Name) ~= "InventorySpot1048")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(4003,-1332,-75))
		{
			if (string(In.Name) ~= "InventorySpot1049")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(3967,-1334,-75))
		{
			if (string(In.Name) ~= "InventorySpot1050")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(4010,-1335,-75))
		{
			if (string(In.Name) ~= "InventorySpot1051")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(4087,-1336,-75))
		{
			if (string(In.Name) ~= "InventorySpot1052")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(4033,-1335,-75))
		{
			if (string(In.Name) ~= "InventorySpot1053")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(3927,-1335,-75))
		{
			if (string(In.Name) ~= "InventorySpot1054")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(3993,-1335,-75))
		{
			if (string(In.Name) ~= "InventorySpot1055")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(4059,-1335,-75))
		{
			if (string(In.Name) ~= "InventorySpot1056")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(4011,-1335,-75))
		{
			if (string(In.Name) ~= "InventorySpot1057")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(4053,-1333,-75))
		{
			if (string(In.Name) ~= "InventorySpot1058")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(3977,-1335,-75))
		{
			if (string(In.Name) ~= "InventorySpot1059")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(3952,-1334,-75))
		{
			if (string(In.Name) ~= "InventorySpot1060")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(3927,-1335,-75))
		{
			if (string(In.Name) ~= "InventorySpot1061")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(3957,-1335,-75))
		{
			if (string(In.Name) ~= "InventorySpot1062")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(3957,-1335,-75))
		{
			if (string(In.Name) ~= "InventorySpot1063")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(4087,-1335,-75))
		{
			if (string(In.Name) ~= "InventorySpot1064")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(2145,2760,-75))
		{
			if (string(In.Name) ~= "InventorySpot1066")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(2181,2760,-75))
		{
			if (string(In.Name) ~= "InventorySpot1067")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(2138,2760,-75))
		{
			if (string(In.Name) ~= "InventorySpot1068")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(2114,2760,-75))
		{
			if (string(In.Name) ~= "InventorySpot1070")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(2154,2760,-75))
		{
			if (string(In.Name) ~= "InventorySpot1072")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(2089,2760,-75))
		{
			if (string(In.Name) ~= "InventorySpot1073")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(2138,2756,-75))
		{
			if (string(In.Name) ~= "InventorySpot1074")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(2095,2760,-75))
		{
			if (string(In.Name) ~= "InventorySpot1075")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(2171,2760,-75))
		{
			if (string(In.Name) ~= "InventorySpot1076")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(2196,2760,-75))
		{
			if (string(In.Name) ~= "InventorySpot1077")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(2222,2760,-75))
		{
			if (string(In.Name) ~= "InventorySpot1078")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(2192,2759,-75))
		{
			if (string(In.Name) ~= "InventorySpot1080")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(2061,2760,-75))
		{
			if (string(In.Name) ~= "InventorySpot1081")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(2060,2758,-75))
		{
			if (string(In.Name) ~= "InventorySpot1082")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(4001,2759,-75))
		{
			if (string(In.Name) ~= "InventorySpot1083")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(3965,2757,-75))
		{
			if (string(In.Name) ~= "InventorySpot1084")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(4008,2760,-75))
		{
			if (string(In.Name) ~= "InventorySpot1085")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(4086,2755,-75))
		{
			if (string(In.Name) ~= "InventorySpot1086")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(4032,2760,-75))
		{
			if (string(In.Name) ~= "InventorySpot1087")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(3924,2760,-75))
		{
			if (string(In.Name) ~= "InventorySpot1088")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(3992,2760,-75))
		{
			if (string(In.Name) ~= "InventorySpot1089")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(4057,2760,-75))
		{
			if (string(In.Name) ~= "InventorySpot1090")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(4008,2760,-75))
		{
			if (string(In.Name) ~= "InventorySpot1091")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(4051,2759,-75))
		{
			if (string(In.Name) ~= "InventorySpot1092")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(3975,2760,-75))
		{
			if (string(In.Name) ~= "InventorySpot1093")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(3950,2757,-75))
		{
			if (string(In.Name) ~= "InventorySpot1094")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(3924,2760,-75))
		{
			if (string(In.Name) ~= "InventorySpot1095")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(3955,2760,-75))
		{
			if (string(In.Name) ~= "InventorySpot1096")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(3954,2760,-75))
		{
			if (string(In.Name) ~= "InventorySpot1097")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(4085,2760,-75))
		{
			if (string(In.Name) ~= "InventorySpot1098")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(4086,2760,-75))
		{
			if (string(In.Name) ~= "InventorySpot1099")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(2615,5064,-203))
		{
			if (string(In.Name) ~= "InventorySpot1108")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(2653,5064,-203))
		{
			if (string(In.Name) ~= "InventorySpot1113")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(2638,5064,-203))
		{
			if (string(In.Name) ~= "InventorySpot1114")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(2670,5064,-203))
		{
			if (string(In.Name) ~= "InventorySpot1115")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(2660,5064,-203))
		{
			if (string(In.Name) ~= "InventorySpot1116")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(2648,5064,-203))
		{
			if (string(In.Name) ~= "InventorySpot1117")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(2715,5064,-203))
		{
			if (string(In.Name) ~= "InventorySpot1118")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(2700,5064,-203))
		{
			if (string(In.Name) ~= "InventorySpot1119")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(2732,5064,-203))
		{
			if (string(In.Name) ~= "InventorySpot1120")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(2722,5064,-203))
		{
			if (string(In.Name) ~= "InventorySpot1121")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(2710,5064,-203))
		{
			if (string(In.Name) ~= "InventorySpot1122")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(2776,5064,-203))
		{
			if (string(In.Name) ~= "InventorySpot1123")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(2761,5064,-203))
		{
			if (string(In.Name) ~= "InventorySpot1124")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(2793,5064,-203))
		{
			if (string(In.Name) ~= "InventorySpot1125")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(2783,5064,-203))
		{
			if (string(In.Name) ~= "InventorySpot1126")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(2770,5064,-203))
		{
			if (string(In.Name) ~= "InventorySpot1127")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(6581,11720,-75))
		{
			if (string(In.Name) ~= "InventorySpot1221")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(6581,11687,-75))
		{
			if (string(In.Name) ~= "InventorySpot1222")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(6581,11623,-75))
		{
			if (string(In.Name) ~= "InventorySpot1223")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(6583,11602,-75))
		{
			if (string(In.Name) ~= "InventorySpot1224")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(6581,11602,-75))
		{
			if (string(In.Name) ~= "InventorySpot1225")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(6581,11646,-75))
		{
			if (string(In.Name) ~= "InventorySpot1226")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(6581,11566,-75))
		{
			if (string(In.Name) ~= "InventorySpot1227")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(6583,11566,-75))
		{
			if (string(In.Name) ~= "InventorySpot1228")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(6581,9806,-75))
		{
			if (string(In.Name) ~= "InventorySpot1229")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(6581,9783,-75))
		{
			if (string(In.Name) ~= "InventorySpot1230")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(6581,9915,-75))
		{
			if (string(In.Name) ~= "InventorySpot1231")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(6583,9894,-75))
		{
			if (string(In.Name) ~= "InventorySpot1232")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(6581,9894,-75))
		{
			if (string(In.Name) ~= "InventorySpot1233")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(6583,9938,-75))
		{
			if (string(In.Name) ~= "InventorySpot1234")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(6581,9858,-75))
		{
			if (string(In.Name) ~= "InventorySpot1235")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(6583,9858,-75))
		{
			if (string(In.Name) ~= "InventorySpot1236")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-312,9815,-75))
		{
			if (string(In.Name) ~= "InventorySpot1239")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-312,9783,-75))
		{
			if (string(In.Name) ~= "InventorySpot1240")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-312,9881,-75))
		{
			if (string(In.Name) ~= "InventorySpot1241")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-312,9904,-75))
		{
			if (string(In.Name) ~= "InventorySpot1242")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-311,9923,-75))
		{
			if (string(In.Name) ~= "InventorySpot1243")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-311,9934,-75))
		{
			if (string(In.Name) ~= "InventorySpot1244")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-311,9936,-75))
		{
			if (string(In.Name) ~= "InventorySpot1245")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-308,9924,-75))
		{
			if (string(In.Name) ~= "InventorySpot1246")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-311,9924,-75))
		{
			if (string(In.Name) ~= "InventorySpot1247")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-311,9903,-75))
		{
			if (string(In.Name) ~= "InventorySpot1248")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-312,9902,-75))
		{
			if (string(In.Name) ~= "InventorySpot1249")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-311,9881,-75))
		{
			if (string(In.Name) ~= "InventorySpot1251")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-284,11720,-75))
		{
			if (string(In.Name) ~= "InventorySpot1237")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-284,11695,-75))
		{
			if (string(In.Name) ~= "InventorySpot1238")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-283,11562,-75))
		{
			if (string(In.Name) ~= "InventorySpot1252")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-280,11586,-75))
		{
			if (string(In.Name) ~= "InventorySpot1253")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-284,11604,-75))
		{
			if (string(In.Name) ~= "InventorySpot1254")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-284,11616,-75))
		{
			if (string(In.Name) ~= "InventorySpot1255")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-284,11617,-75))
		{
			if (string(In.Name) ~= "InventorySpot1256")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-282,11605,-75))
		{
			if (string(In.Name) ~= "InventorySpot1257")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-285,11605,-75))
		{
			if (string(In.Name) ~= "InventorySpot1258")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-282,11584,-75))
		{
			if (string(In.Name) ~= "InventorySpot1259")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-284,11583,-75))
		{
			if (string(In.Name) ~= "InventorySpot1260")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-284,11563,-75))
		{
			if (string(In.Name) ~= "InventorySpot1261")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}
		foreach NavigationActors(class'InventorySpot',In,30,vect(-285,11563,-75))
		{
			if (string(In.Name) ~= "InventorySpot1262")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}

		foreach NavigationActors(class'InventorySpot',In,30,vect(4089,-1335,-75))
		{
			if (string(In.Name) ~= "InventorySpot1065")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}

		foreach NavigationActors(class'InventorySpot',In,200,vect(2222,2760,-75))
		{
			if (string(In.Name) ~= "InventorySpot1069")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				continue;
			}
			if (string(In.Name) ~= "InventorySpot1071")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				continue;
			}
			if (string(In.Name) ~= "InventorySpot1079")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
			}
		}

		foreach NavigationActors(class'InventorySpot',In,30,vect(-311,9881,-75))
		{
			if (string(In.Name) ~= "InventorySpot1250")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				break;
			}
		}

		foreach NavigationActors(class'InventorySpot',In,100,vect(2615,5064,-203))
		{
			if (string(In.Name) ~= "InventorySpot1109")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				continue;
			}
			if (string(In.Name) ~= "InventorySpot1110")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
				continue;
			}
			if (string(In.Name) ~= "InventorySpot1111")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
			}
			if (string(In.Name) ~= "InventorySpot1112")
			{
				In.bStatic = False;
				In.bCollideWorld = False;
				In.bCollideWhenPlacing = False;
				G.CleanupNavSpecs(In);
				In.MarkedItem.MyMarker = None;
				In.MarkedItem = None;
				In.SetLocation(In.Location+Vect(0,0,-400));
				In.bStatic = True;
			}
		}
	}
	Time = class'XC_CoreStatics'.static.UnClock( F);
	if ( Time < 2 )
		Log("InventorySpot types have been hacked in: "$Time$" second.",'AfterDark_Final');
	else
	{
		Log("InventorySpot types have been hacked in: "$Time$" seconds.",'AfterDark_Final');
		Log("Lol, this do looks like a slow machine...",'AfterDark_Final');
	}
}

final function ChangeNastyActors()
{
	local Actor A;

	foreach AllActors(class 'Actor', A) //In order of iterating
	{
		if (string(A.Name) ~= "Mover7") // Position 51
		{
			Mover(A).bUseTriggered = False;
			Mover(A).MoverEncroachType = ME_IgnoreWhenEncroach;
			continue;
		}
		if (string(A.Name) ~= "Trigger2") // Position 86
		{
			A.SetLocation(vect(672,1854,-216));
			continue;
		}
		if (string(A.Name) ~= "Mover1") // Position 168
		{
			Mover(A).bUseTriggered = False;
			Mover(A).MoverEncroachType = ME_IgnoreWhenEncroach;
			continue;
		}
		if (string(A.Name) ~= "Mover2") // Position 259
		{
			Mover(A).bUseTriggered = False;
			Mover(A).MoverEncroachType = ME_IgnoreWhenEncroach;
			continue;
		}
		if (string(A.Name) ~= "Mover3") // Position 262
		{
			Mover(A).bUseTriggered = False;
			Mover(A).MoverEncroachType = ME_IgnoreWhenEncroach;
			continue;
		}
		if (string(A.Name) ~= "Trigger1") // Position 265
		{
			A.SetLocation(vect(672,-2760,-216));
			continue;
		}
		if (string(A.Name) ~= "Mover5") // Position 458
		{
			Mover(A).bUseTriggered = False;
			Mover(A).MoverEncroachType = ME_IgnoreWhenEncroach;
			continue;
		}
		if (string(A.Name) ~= "Mover6") // Position 459
		{
			Mover(A).bUseTriggered = False;
			Mover(A).MoverEncroachType = ME_IgnoreWhenEncroach;
			continue;
		}
		if (string(A.Name) ~= "Mover8") // Position 783
		{
			Mover(A).bUseTriggered = False;
			Mover(A).MoverEncroachType = ME_IgnoreWhenEncroach;
			continue;
		}
		if (string(A.Name) ~= "Trigger3") // Position 818
		{
			A.SetLocation(vect(3066,10775,-224));
			A.SetCollisionSize(512,40);
			continue;
		}
		if (string(A.Name) ~= "Mover11") // Position 819
		{
			Mover(A).bUseTriggered = False;
			Mover(A).MoverEncroachType = ME_IgnoreWhenEncroach;
			continue;
		}
		if (string(A.Name) ~= "Mover12") // Position 820
		{
			Mover(A).bUseTriggered = False;
			Mover(A).MoverEncroachType = ME_IgnoreWhenEncroach;
			continue;
		}
		if (string(A.Name) ~= "SkaarjScout4") // Position 825
		{
			A.SetLocation(vect(1332,10802,-208));
			continue;
		}
		if (string(A.Name) ~= "SkaarjScout5") // Position 826
		{
			A.SetLocation(vect(1066,10692,-208));
			continue;
		}
		if (string(A.Name) ~= "MonsterEnd0") // Position 863
		{
			A.SetLocation(vect(3072,16268,-216));
			A.SetCollisionSize(180,40);
			continue;
		}
		if (string(A.Name) ~= "Mover14") // Position 918
		{
			Mover(A).bUseTriggered = False;
			Mover(A).MoverEncroachType = ME_IgnoreWhenEncroach;
			continue;
		}
		if (string(A.Name) ~= "Mover0") // Position 964
		{
			Mover(A).bUseTriggered = False;
			Mover(A).MoverEncroachType = ME_IgnoreWhenEncroach;
			continue;
		}
		if (string(A.Name) ~= "Mover4") // Position 1010
		{
			Mover(A).bUseTriggered = False;
			Mover(A).MoverEncroachType = ME_IgnoreWhenEncroach;
			continue;
		}
		if (string(A.Name) ~= "Mover9") // Position 1056
		{
			Mover(A).bUseTriggered = False;
			Mover(A).MoverEncroachType = ME_IgnoreWhenEncroach;
			continue;
		}
		if (string(A.Name) ~= "Mover10") // Position 1076
		{
			Mover(A).bUseTriggered = False;
			Mover(A).MoverEncroachType = ME_IgnoreWhenEncroach;
			continue;
		}
		if (string(A.Name) ~= "Mover15") // Position 1077
		{
			Mover(A).bUseTriggered = False;
			Mover(A).MoverEncroachType = ME_IgnoreWhenEncroach;
			continue;
		}
		if (string(A.Name) ~= "CreatureFactory0") // Position 1352
		{
			A.SetCollision(False,False,False);
			CreatureFactory(A).bOnlyPlayerTouched = True;
			CreatureFactory(A).MaxItems = 30;
			CreatureFactory(A).interval = 0.3;
			continue;
		}
		if (string(A.Name) ~= "CreatureFactory1") // Position 1359
		{
			A.SetCollision(False,False,False);
			CreatureFactory(A).bOnlyPlayerTouched = True;
			CreatureFactory(A).MaxItems = 30;
			CreatureFactory(A).interval = 0.3;
			continue;
		}
		if (string(A.Name) ~= "Trigger7") // Position 1390
		{
			A.SetCollisionSize(512,40);
			continue;
		}
		if (string(A.Name) ~= "Trigger8") // Position 1392
		{
			A.SetCollisionSize(512,40);
			continue;
		}
		if (string(A.Name) ~= "Mover18") // Position 1409
		{
			Mover(A).bUseTriggered = False;
			Mover(A).MoverEncroachType = ME_IgnoreWhenEncroach;
			continue;
		}
	}
}

final function SpawnPaths()
{
	local PathBlocker B;

	class'SmartNode'.default.bStatic = False;
	class'SmartNode'.default.bNoDelete = False;
	class'FSmartNode'.default.bStatic = False;
	class'FSmartNode'.default.bNoDelete = False;
	class'E_LiftExit'.default.bStatic = False;
	class'E_LiftCenter'.default.bStatic = False;

	if ( G != None )
	{
		Spawn(class'SmartNode',,,vect(7296,8896,-104));
		Spawn(class'SmartNode',,,vect(6960,9192,-104));
		Spawn(class'SmartNode',,,vect(7280,9560,-104));
		Spawn(class'SmartNode',,,vect(7264,9960,-88));
		Spawn(class'SmartNode',,,vect(6905,9837,-88));
		Spawn(class'SmartNode',,,vect(7336,10272,-216));
		Spawn(class'SmartNode',,,vect(7440,10752,-232));
		Spawn(class'SmartNode',,,vect(7400,11232,-216));
		Spawn(class'SmartNode',,,vect(7280,11544,-88));
		Spawn(class'SmartNode',,,vect(6858,11669,-88));
		Spawn(class'SmartNode',,,vect(7304,11856,-88));
		Spawn(class'SmartNode',,,vect(6984,12232,-104));
		Spawn(class'SmartNode',,,vect(7304,12616,-104));
		Spawn(class'SmartNode',,,vect(8078,10760,-232));
		Spawn(class'SmartNode',,,vect(8752,10752,-232));
		Spawn(class'SmartNode',,,vect(9368,10768,-232));
		Spawn(class'SmartNode',,,vect(9928,10776,-232));
		Spawn(class'SmartNode',,,vect(6816,10736,-232));
		Spawn(class'SmartNode',,,vect(6094,10728,-232));
		Spawn(class'SmartNode',,,vect(5374,10728,-232));
		Spawn(class'SmartNode',,,vect(4731,10744,-232));
		Spawn(class'SmartNode',,,vect(3556,10819,-232));
		Spawn(class'SmartNode',,,vect(3096,10712,-232));
		Spawn(class'SmartNode',,,vect(2536,10912,-232));
		Spawn(class'SmartNode',,,vect(2600,10296,-216));
		Spawn(class'SmartNode',,,vect(2680,9136,-216));
		Spawn(class'SmartNode',,,vect(3472,10280,-216));
		Spawn(class'SmartNode',,,vect(3440,9144,-216));
		Spawn(class'SmartNode',,,vect(1664,10776,-232));
		Spawn(class'SmartNode',,,vect(1072,10744,-232));
		Spawn(class'SmartNode',,,vect(448,10752,-232));
		Spawn(class'SmartNode',,,vect(-24,10720,-232));
		Spawn(class'SmartNode',,,vect(-512,10728,-232));
		Spawn(class'SmartNode',,,vect(-752,10304,-216));
		Spawn(class'SmartNode',,,vect(-1016,9968,-88));
		Spawn(class'SmartNode',,,vect(-752,11200,-216));
		Spawn(class'SmartNode',,,vect(-1008,11544,-88));
		Spawn(class'SmartNode',,,vect(-624,9832,-88));
		Spawn(class'SmartNode',,,vect(-696,11656,-88));
		Spawn(class'SmartNode',,,vect(-1040,11880,-88));
		Spawn(class'SmartNode',,,vect(-728,12224,-104));
		Spawn(class'SmartNode',,,vect(-1016,12616,-104));
		Spawn(class'SmartNode',,,vect(-1008,9632,-88));
		Spawn(class'SmartNode',,,vect(-696,9256,-104));
		Spawn(class'SmartNode',,,vect(-1000,8904,-104));
		Spawn(class'SmartNode',,,vect(-1112,10752,-232));
		Spawn(class'SmartNode',,,vect(-1762,10744,-232));
		Spawn(class'SmartNode',,,vect(-2389,10741,-232));
		Spawn(class'SmartNode',,,vect(-3091,10737,-232));
		Spawn(class'SmartNode',,,vect(-3752,10736,-232));
		Spawn(class'SmartNode',,,vect(3994,8784,-232));
		Spawn(class'SmartNode',,,vect(4634,8501,-232));
		Spawn(class'SmartNode',,,vect(5073,7985,-232));
		Spawn(class'SmartNode',,,vect(5233,7304,-232));
		Spawn(class'SmartNode',,,vect(5072,6640,-232));
		Spawn(class'SmartNode',,,vect(4671,6136,-232));
		Spawn(class'SmartNode',,,vect(4064,5856,-232));
		Spawn(class'SmartNode',,,vect(2096,5848,-232));
		Spawn(class'SmartNode',,,vect(1439,6136,-232));
		Spawn(class'SmartNode',,,vect(1024,6728,-232));
		Spawn(class'SmartNode',,,vect(880,7358,-232));
		Spawn(class'SmartNode',,,vect(1104,8046,-232));
		Spawn(class'SmartNode',,,vect(1547,8521,-232));
		Spawn(class'SmartNode',,,vect(2067,8837,-232));
		Spawn(class'SmartNode',,,vect(3040,8666,-232));
		Spawn(class'SmartNode',,,vect(1792,2256,-120));
		Spawn(class'SmartNode',,,vect(1776,1728,-120));
		Spawn(class'SmartNode',,,vect(2272,1728,-88));
		Spawn(class'SmartNode',,,vect(2624,1792,-216));
		Spawn(class'SmartNode',,,vect(4336,2344,-120));
		Spawn(class'SmartNode',,,vect(4360,1864,-120));
		Spawn(class'SmartNode',,,vect(3880,1720,-88));
		Spawn(class'SmartNode',,,vect(3528,1688,-216));
		Spawn(class'SmartNode',,,vect(4376,-1656,-120));
		Spawn(class'SmartNode',,,vect(4392,-2264,-120));
		Spawn(class'SmartNode',,,vect(3864,-2336,-88));
		Spawn(class'SmartNode',,,vect(3512,-2280,-216));
		Spawn(class'SmartNode',,,vect(1792,-1776,-120));
		Spawn(class'SmartNode',,,vect(1760,-2328,-120));
		Spawn(class'SmartNode',,,vect(2256,-2448,-88));
		Spawn(class'SmartNode',,,vect(2600,-2480,-216));
		Spawn(class'SmartNode',,,vect(-856,-1808,-216));
		Spawn(class'SmartNode',,,vect(-864,-2224,-216));
		Spawn(class'SmartNode',,,vect(-416,-2448,-216));
		Spawn(class'SmartNode',,,vect(528,-1960,-216));
		Spawn(class'SmartNode',,,vect(552,-2656,-216));
		Spawn(class'SmartNode',,,vect(-472,1088,-216));
		Spawn(class'SmartNode',,,vect(-784,696,-216));
		Spawn(class'SmartNode',,,vect(-752,200,-216));
		Spawn(class'SmartNode',,,vect(800,152,-216));
		Spawn(class'SmartNode',,,vect(880,720,-216));
		Spawn(class'SmartNode',,,vect(464,1176,-216));
		Spawn(class'SmartNode',,,vect(-516,2485,-216));
		Spawn(class'SmartNode',,,vect(579,2496,-216));
		Spawn(class'FSmartNode',,,vect(-704,-2592,-216));
		Spawn(class'FSmartNode',,,vect(3446,9496,-216));
		Spawn(class'FSmartNode',,,vect(3447,9751,-216));
		Spawn(class'FSmartNode',,,vect(2685,9732,-216));
		Spawn(class'FSmartNode',,,vect(2688,9512,-216));
		Spawn(class'FSmartNode',,,vect(2256,10696,-232));
		Spawn(class'FSmartNode',,,vect(2088,10736,-232));
		Spawn(class'FSmartNode',,,vect(3904,10760,-232));
		Spawn(class'FSmartNode',,,vect(4120,10760,-232));
		Spawn(class'FSmartNode',,,vect(3512,11424,-216));
		Spawn(class'FSmartNode',,,vect(3512,11720,-216));
		Spawn(class'FSmartNode',,,vect(2625,11714,-216));
		Spawn(class'FSmartNode',,,vect(2624,11448,-216));
		Spawn(class'FSmartNode',,,vect(3080,16112,-216));
		Spawn(class'FSmartNode',,,vect(3071,15904,-216));
		Spawn(class'SmartNode',,,vect(2704,12216,-216));
		Spawn(class'SmartNode',,,vect(3464,12232,-216));
		Spawn(class'SmartNode',,,vect(3064,12768,-216));
		Spawn(class'SmartNode',,,vect(3032,13368,-216));
		Spawn(class'SmartNode',,,vect(3112,13816,-216));
		Spawn(class'SmartNode',,,vect(2944,14392,-216));
		Spawn(class'SmartNode',,,vect(3104,14896,-216));
		Spawn(class'SmartNode',,,vect(3200,15216,-216));
		Spawn(class'SmartNode',,,vect(3056,15608,-216));
	}
}

function RestoreOriginal()
{
	local Actor A;
	local SpawnPoint Sp;

}

function DoReconnect()
{
	local NavigationPoint A;
	local InventorySpot In;
	local JumpSpot Ju;
	local LiftExit Li;
	local Teleporter Te;
	local PathNode Pa;
	local SpawnPoint Sp;
	local PlayerStart Pl;
	local int I;
	local string st;
	local Rotator NewRot;

	log ("Perform Post Navigation Mapping Connectors.",'AfterDark_Final');

	if ( G != None )
	{
		if ( N1 != None && N2 != None )
			G.EzConnectNavigationPoints( N1,N2,,True );
	}
}

auto state PathsMapping
{
Begin:
	Sleep(0.15);
	DoPrePathHacks();
	log ("Navigation processing done, spawning new paths...",'AfterDark_Final');
	Sleep(0.0);
	SpawnPaths();
	Spawn(class'SomeActor');
	Sleep(0.0);
	DoFakeNavigation();
	Sleep(0.2);
	DoReconnect();
	Spawn(class'TelPathsHacker');
	RestoreOriginal();
	Spawn(class'NoLost');
	GotoState('');
}

defaultproperties
{
	bMovable=False
	bStatic=False
	bGameRelevant=True
}
