//Using this class for any PathNode turning it into a blocked path
//or unblocking path using a trigger method
//If map doesn't have any trigger I spawn something - UT has resources for timed actions
//if bEnabled it won't allow passing through spot and another route should be available

class PathsToggler expands Keypoint;

var() bool bEnabled;

event PostBeginPlay()
{
	InitialState='TrackAndLock';
}

final function CheckAndLock()
{
	local NavigationPoint N;

//	BroadcastMessage(Self.Name@"Locking...");
	foreach RadiusActors(class 'NavigationPoint',N,CollisionRadius*2,Location)
	{
		if ( N.ExtraCost < 1000 )
			N.ExtraCost = 100000000;
	}
}

final function CheckUnLock()
{
	local NavigationPoint N;

//	BroadcastMessage(Self.Name@"UnLocking...");
	foreach RadiusActors(class 'NavigationPoint',N,CollisionRadius*2,Location)
	{
		if ( N.ExtraCost > 0 )
			N.ExtraCost = 0;
	}
}

function Trigger(Actor Other, Pawn EventInstigator)
{
	bEnabled = !bEnabled;
	if ( bEnabled )
		CheckAndLock();
	else
		CheckUnLock();
}

auto state TrackAndLock
{
Begin:
	Sleep(2.00);
CheckActivation:
	if ( bEnabled )
		CheckAndLock();
	else
	{
		CheckUnLock();
	}
End:
	GoToState('');
}

defaultproperties
{
	bStatic=False
	bCollideWhenPlacing=False
	bCollideWorld=False
	bHidden=True
	bMovable=True
	CollisionRadius=30
	CollisionHeight=30
}